diff a/test/hotspot/jtreg/compiler/rtm/locking/TestRTMSpinLoopCount.java b/test/hotspot/jtreg/compiler/rtm/locking/TestRTMSpinLoopCount.java
--- a/test/hotspot/jtreg/compiler/rtm/locking/TestRTMSpinLoopCount.java
+++ b/test/hotspot/jtreg/compiler/rtm/locking/TestRTMSpinLoopCount.java
@@ -61,15 +61,11 @@
     private static final long MAX_ABORTS = RTM_RETRY_COUNT + 1L;
     private static int[] SPIN_LOOP_COUNTS;
 
     protected void runTestCases() throws Throwable {
 
-        if (Platform.isPPC()) {
-            SPIN_LOOP_COUNTS = new int[] { 0, 10, 100, 1_000, 10_000 };
-        } else {
-            SPIN_LOOP_COUNTS = new int[] { 0, 100, 1_000, 10_000, 100_000 };
-        }
+        SPIN_LOOP_COUNTS = new int[] { 0, 100, 1_000, 10_000, 100_000 };
 
         long[] aborts = new long[TestRTMSpinLoopCount.SPIN_LOOP_COUNTS.length];
 
         for (int i = 0; i < TestRTMSpinLoopCount.SPIN_LOOP_COUNTS.length; i++) {
             aborts[i] = getAbortsCountOnLockBusy(
